CI: Use VM provided by Pharo team on both Linux and Windows. stx-8.0.0
authorJan Vrany <jan.vrany@fit.cvut.cz>
Sat, 19 Mar 2016 00:12:47 +0100
changeset 556 51c6afba5c91
parent 555 4aa0496e6c22
child 557 5ddba1e78795
child 642 77d5fddb6462
CI: Use VM provided by Pharo team on both Linux and Windows. Hand-crafter Pharo VM is no longer needed as the Linux slave in SWING build farm has been upgraded so it has compatible GLIBC. This makes CI scripts simpler and more usable for other people.
ci/ci-pharo-common.sh
--- a/ci/ci-pharo-common.sh	Mon Jan 18 08:05:03 2016 +0000
+++ b/ci/ci-pharo-common.sh	Sat Mar 19 00:12:47 2016 +0100
@@ -20,26 +20,22 @@
     fi
 
     if [ ! -x pharo-ui ]; then
-        rm -rf pharo pharo-ui pharo-vm
-        if [ "$PHARO" == "5.0" ]; then
-            wget -O- http://swing.fit.cvut.cz/download/pharo/vm-spur-swing | bash
-        else
-            wget -O- http://swing.fit.cvut.cz/download/pharo/vm-swing | bash
-        fi
-    fi
+        rm -rf pharo pharo-ui pharo-vm Pharo.image Pharo.changes
+	case "$PHARO" in 
+            5.0)
+                wget -O- get.pharo.org/50+vm | bash
+                ;;	
 
-    if [ ! -r Pharo.image ]; then
-        rm -rf Pharo.image Pharo.changes
-        if [ "$PHARO" == "3.0" ]; then
-            wget -O- get.pharo.org/30 | bash
-        elif [  "$PHARO" == "4.0"  ]; then
-            wget -O- get.pharo.org/40 | bash
-        elif [  "$PHARO" == "5.0"  ]; then
-            wget -O- get.pharo.org/50 | bash   
-        else
-            echo "Unknown PHARO version: $PHARO"
-            exit 1
-        fi
+            4.0)
+                wget -O- get.pharo.org/40+vm | bash
+                ;;	
+            3.0)
+                wget -O- get.pharo.org/30+vm | bash
+                ;;	
+            *)
+                echo "Unknown PHARO version: $PHARO"
+                exit 1
+        esac
     fi
 }